Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.resource.config
Class ResourceBasicConfiguration

    java.lang.Object
      lbg.resource.config.ResourceBasicConfiguration

    public class ResourceBasicConfiguration

extends java.lang.Object

Resource basic configuration

Author:
  Cyril Briquet

Constructor Summary
`ResourceBasicConfiguration(java.util.Properties props)` Creates a new ResourceBasicConfiguration.
`ResourceBasicConfiguration(java.lang.String resource_id, int resource_power)` Creates a new ResourceBasicConfiguration (legal in SIM_MODE only).

Method Summary
`java.lang.String` | `format(boolean log_format)` Outputs the ResourceBasicConfiguration, formatted either as a property file or as a log file.
`java.lang.String` | `RESOURCE_ID()`
`int` | `RESOURCE_POWER()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceBasicConfiguration

    public ResourceBasicConfiguration(java.util.Properties props)
                               throws GridException

  Creates a new ResourceBasicConfiguration.

  Throws:
    `GridException`

### ResourceBasicConfiguration

    public ResourceBasicConfiguration(java.lang.String resource_id,
                                      int resource_power)
                               throws GridException

  Creates a new ResourceBasicConfiguration (legal in SIM_MODE only).

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### format

    public java.lang.String format(boolean log_format)

  Outputs the ResourceBasicConfiguration, formatted either as a property file or as a log file.

  Parameters:
    `log_format` - true to format ResourceBasicConfiguration as a log file
  Returns:
    formatted ResourceBasicConfiguration

### RESOURCE_ID

    public java.lang.String RESOURCE_ID()

### RESOURCE_POWER

    public int RESOURCE_POWER()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.